Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# ContainerLeakDetector Class Reference

Inherits direct::showbase::Job::Job.

List of all members.

## Public Member Functions
def | __init__
def | addPrivateObj
def | destroy
def | getContainerById
def | getContainerByIdGen
def | getContainerIds
def | getContainerNameById
def | getContainerNameByIdGen
def | getLeakEvent
def | getPathsToContainers
def | getPathsToContainersNamed
def | removeContainerById
def | removePrivateObj
def | run
## Static Public Attributes
tuple | notify = directNotify.newCategory("ContainerLeakDetector")
tuple | PrivateIds = set()

## Detailed Description

    Low-priority Python object-graph walker that looks for leaking containers.
    To reduce memory usage, this does a random walk of the Python objects to
    discover containers rather than keep a set of all visited objects; it may
    visit the same object many times but eventually it will discover every object.
    Checks container sizes at ever-increasing intervals.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | firstCheckDelay = `None`
| ) |  |

## Member Function Documentation

def addPrivateObj | ( |  | cls,
|  |  | obj
| ) |  |

def destroy | ( |  | self | ) |

def getContainerById | ( |  | self,
|  |  | id
| ) |  |

def getContainerByIdGen | ( |  | self,
|  |  | id,
|  |  | kwArgs
| ) |  |

def getContainerIds | ( |  | self | ) |

def getContainerNameById | ( |  | self,
|  |  | id
| ) |  |

def getContainerNameByIdGen | ( |  | self,
|  |  | id,
|  |  | kwArgs
| ) |  |

def getLeakEvent | ( |  | self | ) |

def getPathsToContainers | ( |  | self,
|  |  | name,
|  |  | ot,
|  |  | doneCallback = `None`
| ) |  |

def getPathsToContainersNamed | ( |  | self,
|  |  | name,
|  |  | on,
|  |  | doneCallback = `None`
| ) |  |

def removeContainerById | ( |  | self,
|  |  | id
| ) |  |

def removePrivateObj | ( |  | cls,
|  |  | obj
| ) |  |

def run | ( |  | self | ) |

## Member Data Documentation

tuple notify = directNotify.newCategory("ContainerLeakDetector")`[static]`

tuple PrivateIds = set()`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties